unit Unit1;

interface

uses
  ARRemoteUnit, StdCtrls, ComCtrls, Controls, Classes,
  Windows, Messages, SysUtils, Variants, Graphics, Forms,
  Dialogs;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
    remote: ARRemote;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if remote.Connect(true) then
    remote.StartRepeater;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if remote.Connect(true) then
   remote.SetEnableFxBypass(CheckBox1.Checked);
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  if remote.Connect(true) then
   remote.SetEnableProcessing(CheckBox2.Checked);
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  if remote.Connect(true) then
   remote.SetStreamGain(TrackBar1.Position);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if remote.Connect(true) then
    remote.StopRepeater;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if remote.Connect(true) then
  begin
     CheckBox1.Checked := remote.IsBypassFxEnabled;
     CheckBox2.Checked := remote.IsProcessingEnabled;
     TrackBar1.Position := remote.GetStreamGain;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  remote := ARRemote.Create;
  Button3Click(nil); // update
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  remote.Free;
end;

end.
