
// RPluginUnit (c) 2021 CrownSoft

unit RPluginUnit;

interface
uses
    Windows,
    RObjBaseUnit;

type
  RPlugin = interface
    procedure GetName(var ppText : RString); stdcall;
    procedure GetAuthor(var ppText : RString); stdcall;
    procedure GetID(var ppID : PGUID); stdcall;
    function GetVersion: Integer; stdcall;
    function Initialize(hInstance: HINST; hostID: Integer; hostParam: Pointer): Integer; stdcall;
    procedure LoadState(data: Pointer; size: Integer); stdcall;
    procedure Enable; stdcall;
    procedure Disable; stdcall;
    function SaveState(var data: Pointer): Integer; stdcall;
    procedure Stop; stdcall;
    procedure Free(initOK : Integer); stdcall;
  end;

implementation

end.
