library ExamplePlugin1;

uses
  SysUtils,
  Classes,
  RObjBaseUnit in '../Common/RObjBaseUnit.pas',
  RPluginUnit in '../Common/RPluginUnit.pas',
  ARGeneralPluginUnit in '../Common/ARGeneralPluginUnit.pas',
  ARGenInterfacesUnit in '../Common/ARGenInterfacesUnit.pas';

{$R *.res}

const
   pluginID : TGUID = '{84DBCC66-72AA-4806-AE28-B55FC5B83FC8}';

type
  TExamplePlugin1 = class(ARGeneralPlugin)

  public
    constructor Create;
    destructor Destroy; override;

    procedure GetID(var ppID : PGUID); override; stdcall;
    procedure GetName(var ppText : RString); override; stdcall;
    procedure GetAuthor(var ppText : RString); override; stdcall;
  end;

  constructor TExamplePlugin1.Create;
  begin
    inherited Create;
    // put your code here...
  end;

  destructor TExamplePlugin1.Destroy;
  begin
    // put your code here...
    inherited;
  end;

  procedure TExamplePlugin1.GetName(var ppText : RString); stdcall;
  begin
     ppText := RSTR('Example Plug-In 1');
  end;

  procedure TExamplePlugin1.GetAuthor(var ppText : RString); stdcall;
  begin
     ppText := RSTR('CrownSoft');
  end;

  procedure TExamplePlugin1.GetID(var ppID : PGUID); stdcall;
  begin
    ppID := @pluginID;
  end;

procedure GetPlugin(var plugin: RPlugin); stdcall;
  begin
    plugin := TExamplePlugin1.Create;
  end;

exports
  GetPlugin;
     
begin
end.
 