
// Dummy Plug-In without GUI

#include "../../include/ARPluginHelper.h"

// use your own id
#define EFFECT_ID 4455
#define EFFECT_VERSION 1

class ExamplePlugin1 : public ARPluginHelper
{
public:

	ExamplePlugin1()
	{

	}

	virtual ~ExamplePlugin1()
	{

	}

	void STDCALL GetEffectName(RString** ppText)
	{
		*ppText = MakeRString(L"Dummy Plugin");
	}

	int STDCALL GetEffectID()
	{
		return EFFECT_ID;
	}

	int STDCALL GetEffectVersion()
	{
		return EFFECT_VERSION;
	}

	void STDCALL ProcessAudio(float **inputs, float **outputs, long frameCount)
	{
		for (int i = 0; i < frameCount; ++i)
		{
			outputs[0][i] = inputs[0][i];
			outputs[1][i] = inputs[1][i];
		}
	}

	IMPLEMENTS_RUNKNOWN_METHODS
};


EXPORT_EFFECT(ExamplePlugin1)

// this boilerplate code is needed for DMC to generate valid DLL!
__declspec(dllexport) BOOL APIENTRY DllMain(HANDLE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
	return TRUE;
}