
// Dummy Plug-In without GUI

#include "../include/ARPluginHelper.h"

// use your own id
#define EFFECT_ID 4455
#define EFFECT_VERSION 1

class ExamplePlugin1 : public ARPluginHelper
{
public:

	ExamplePlugin1()
	{

	}

	virtual ~ExamplePlugin1()
	{

	}

	void STDCALL GetEffectName(RString** ppText)
	{
		*ppText = MakeRString(L"Dummy Plugin");
	}

	int STDCALL GetEffectID()
	{
		return EFFECT_ID;
	}

	int STDCALL GetEffectVersion()
	{
		return EFFECT_VERSION;
	}

	void STDCALL ProcessAudio(float **inputs, float **outputs, long frameCount)
	{
		for (int i = 0; i < frameCount; ++i)
		{
			outputs[0][i] = inputs[0][i];
			outputs[1][i] = inputs[1][i];
		}
	}

	IMPLEMENTS_RUNKNOWN_METHODS
};


EXPORT_EFFECT(ExamplePlugin1)