
// RAudioEffect (c) 2018 CrownSoft

unit RAudioEffectUnit;

interface
uses
    Windows,
    RObjBaseUnit;

type
  PPSingle = ^PSingle;

  RAudioEffect = interface
    function Initialize(hInstance: HINST; hostID: Integer; hostParam: Pointer): Integer; stdcall;
    procedure GetEffectName(var ppText : RString); stdcall;
    function GetEffectID: Integer; stdcall;
    function GetEffectVersion: Integer; stdcall;
    function SetChannelCount(inputChannelCount, outputChannelCount: Integer): Integer; stdcall;
    procedure SetSampleRate(srate: Single); stdcall;
    procedure SetBlockSize(blockSize: Integer); stdcall;
    procedure CreateEditor(container: HWND); stdcall;
    procedure GetEditorSize(width, height: PInteger); stdcall;
    procedure DestroyEditor; stdcall;
    procedure LoadState(data: Pointer; size: Integer); stdcall;
    procedure StartProcess; stdcall;
    procedure ProcessAudio(inputs, outputs: PPSingle; frameCount: Integer); stdcall;
    procedure StopProcess; stdcall;
    function SaveState(var data: Pointer): Integer; stdcall;
    procedure Shutdown; stdcall;
  end;

implementation

end.
