
// Creates an empty plugin without a window. Only shows an entry in general plugin manager.

#include "../../include/ARGeneralPlugin.h"

// create your own guid using guidgen.exe

// {23E1D108-3821-4999-B666-D3D5BD18CCB5}
RGUID pluginID = { 0x23e1d108, 0x3821, 0x4999, { 0xb6, 0x66, 0xd3, 0xd5, 0xbd, 0x18, 0xcc, 0xb5 } };


class ExamplePlugin1 : public ARGeneralPlugin
{
public:

	void STDCALL GetID(RGUID** id) override
	{
		*id = &pluginID;
	}

	void STDCALL GetName(RString** ppText) override
	{
		*ppText = MakeRString(L"Example Plug-In 1");
	}

	void STDCALL GetAuthor(RString** ppText) override
	{
		*ppText = MakeRString(L"CrownSoft");
	}

	IMPLEMENTS_RUNKNOWN_METHODS
};

EXPORT_PLUGIN(ExamplePlugin1)

// you can register your plugin using: regsvr32 "ExamplePlugin.rp64"
// unregister using: regsvr32 /u "ExamplePlugin.rp64"
// make sure to pass the string version of plugin-id into the SELF_REGISTER_PLUGIN macro.
SELF_REGISTER_PLUGIN("{23E1D108-3821-4999-B666-D3D5BD18CCB5}")